FLAC: include/FLAC++/metadata.h File Reference

FLAC 1.3.3

Classes | Functions
metadata.h File Reference
`#include "export.h"`
`#include "FLAC/metadata.h"`

Go to the source code of this file.

## Classes
class | FLAC::Metadata::Prototype
class | FLAC::Metadata::StreamInfo
class | FLAC::Metadata::Padding
class | FLAC::Metadata::Application
class | FLAC::Metadata::SeekTable
class | FLAC::Metadata::VorbisComment
class | FLAC::Metadata::VorbisComment::Entry
class | FLAC::Metadata::CueSheet
class | FLAC::Metadata::CueSheet::Track
class | FLAC::Metadata::Picture
class | FLAC::Metadata::Unknown
class | FLAC::Metadata::SimpleIterator
class | FLAC::Metadata::SimpleIterator::Status
class | FLAC::Metadata::Chain
class | FLAC::Metadata::Chain::Status
class | FLAC::Metadata::Iterator

## Functions
Prototype * | FLAC::Metadata::local::construct_block (::FLAC__StreamMetadata *object)
Prototype * | FLAC::Metadata::clone (const Prototype *)
bool | FLAC::Metadata::get_streaminfo (const char *filename, StreamInfo &streaminfo)
bool | FLAC::Metadata::get_tags (const char *filename, VorbisComment *&tags)
bool | FLAC::Metadata::get_tags (const char *filename, VorbisComment &tags)
bool | FLAC::Metadata::get_cuesheet (const char *filename, CueSheet *&cuesheet)
bool | FLAC::Metadata::get_cuesheet (const char *filename, CueSheet &cuesheet)
bool | FLAC::Metadata::get_picture (const char *filename, Picture *&picture, ::FLAC__StreamMetadata_Picture_Type type, const char *mime_type, const FLAC__byte *description, uint32_t max_width, uint32_t max_height, uint32_t max_depth, uint32_t max_colors)
bool | FLAC::Metadata::get_picture (const char *filename, Picture &picture, ::FLAC__StreamMetadata_Picture_Type type, const char *mime_type, const FLAC__byte *description, uint32_t max_width, uint32_t max_height, uint32_t max_depth, uint32_t max_colors)

## Detailed Description

This module provides classes for creating and manipulating FLAC metadata blocks in memory, and three progressively more powerful interfaces for traversing and editing metadata in FLAC files.

See the detailed documentation for each interface in the metadata module.

## Function Documentation

## ◆ construct_block()

Prototype* FLAC::Metadata::local::construct_block | ( | ::FLAC__StreamMetadata * | object | ) |

Construct a new object of the type provided in object->type and return it.

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2016 Xiph.Org Foundation |